openSUSE Security Update: Security update for opera
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0828-1
Rating:             important
References:         
Cross-References:   CVE-2021-30506 CVE-2021-30507 CVE-2021-30508
                    CVE-2021-30509 CVE-2021-30510 CVE-2021-30511
                    CVE-2021-30512 CVE-2021-30513 CVE-2021-30514
                    CVE-2021-30515 CVE-2021-30516 CVE-2021-30517
                    CVE-2021-30518 CVE-2021-30519 CVE-2021-30520
                   
Affected Products:
                    openSUSE Leap 15.3:NonFree
______________________________________________________________________________

   An update that fixes 15 vulnerabilities is now available.

Description:

   This update for opera fixes the following issues:

   Update to version 76.0.4017.154

   - CHR-8420 Update chromium on desktop-stable-90-4017 to 90.0.4430.212
   - DNA-92411 Bookmarks breadcrumbs wrong color when pressed in dark mode
   - DNA-92587 Sync settings: ???Use old password??? button doesn???t work
   - DNA-92672 Make it possible for agent to inject scripts into startpage
   - DNA-92712 Add SD reload API
   - DNA-93190 The bookmark can???t be opened in Workspace 5-6
   - DNA-93247 Reopen last closed tab shortcut opens random tab on new window
   - DNA-93294 Binary diff for opera_browser.dll is not created on 32-bit
     builds
   - DNA-93313 Add opauto test to cover DNA-93190
   - DNA-93368 Fix an error in Polish translation
   - DNA-93408 [Windows] widevine_cdm_component_installer does not compile on
     desktop-stable-90-4017
   - The update to chromium 90.0.4430.212 fixes following issues:
     CVE-2021-30506, CVE-2021-30507, CVE-2021-30508, CVE-2021-30509,
     CVE-2021-30510, CVE-2021-30511, CVE-2021-30512, CVE-2021-30513,
     CVE-2021-30514, CVE-2021-30515, CVE-2021-30516, CVE-2021-30517,
     CVE-2021-30518, CVE-2021-30519, CVE-2021-30520


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:NonFree:

      zypper in -t patch openSUSE-2021-828=1



Package List:

   - openSUSE Leap 15.3:NonFree (x86_64):

      opera-76.0.4017.154-lp153.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-30506.html
   https://www.suse.com/security/cve/CVE-2021-30507.html
   https://www.suse.com/security/cve/CVE-2021-30508.html
   https://www.suse.com/security/cve/CVE-2021-30509.html
   https://www.suse.com/security/cve/CVE-2021-30510.html
   https://www.suse.com/security/cve/CVE-2021-30511.html
   https://www.suse.com/security/cve/CVE-2021-30512.html
   https://www.suse.com/security/cve/CVE-2021-30513.html
   https://www.suse.com/security/cve/CVE-2021-30514.html
   https://www.suse.com/security/cve/CVE-2021-30515.html
   https://www.suse.com/security/cve/CVE-2021-30516.html
   https://www.suse.com/security/cve/CVE-2021-30517.html
   https://www.suse.com/security/cve/CVE-2021-30518.html
   https://www.suse.com/security/cve/CVE-2021-30519.html
   https://www.suse.com/security/cve/CVE-2021-30520.html